Muhammad Hafid

Janganlah malas untuk berkarya, biarpun sederhana tetapi bermanfaat bagi orang lain. Kerjakan dengan penuh kesabaran dan keikhlasan

Error RequestsDependencyWarning: urllib3 - Django in CentOS

Pernah kalian menjalankan service django dengan mengetikan "python manage.py runserver" pada server centOS lalu muncul error seperti ini dibawah ini :
usr/lib/python2.7/site-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.22) or chardet (2.2.1) doesn't match a supported version!
  RequestsDependencyWarning)
/usr/lib/python2.7/site-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.22) or chardet (2.2.1) doesn't match a supported version!
  RequestsDependencyWarning)
Yakinlah bahwa error ini bukan karena aplikasi django kalian, tetapi ada ketidakcocokan python library kalian dengan centOS. Disini akhirnya masalahnya terpecahkan gan.!

Sebenarnya jika muncul error message seperti itu di terminal, tidak mengganggu jalannya servis django, cuma saya hanya merasa risih jika ada message log error.

Bagaimana pemecahannya ? Oke kita mulai :

  1. Login ke centOS kalian menggunakan terminal (SSH)
  2. pip uninstall requests
  3. pip uninstall urllib3
  4. yum remove python-urllib3
  5. yum remove python-requests
  6. yum install python-urllib3
Silahkan dijalankan kembali servic djangonya.
Labels: Django , linux , python

Thanks for reading Error RequestsDependencyWarning: urllib3 - Django in CentOS . Please share...!

0 Comment for "Error RequestsDependencyWarning: urllib3 - Django in CentOS"

Terima kasih sudah berkunjung ke blog saya, semoga informasi nya bermanfaat buat anda.

Back To Top